//Test the new directory object.

//Current dir
Console.writeln("Enter a directory name: ");
var name = ".";//Console.read();
name = name.replace(/^\s*/, '').replace(/\s*$/, '');

try {
	var ds = new DirectoryStream(name);
	ds.open();
	Console.writeln('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~');
	Console.writeln('Total files: '+ds.getBytesAvailable());
	while (!ds.isEnd()){
		data = ds.read();
		if (data !== false){
			Console.writeln(data);
		}
	}
	Console.writeln('\n~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~');
	ds.close();

	ds.open();
	Console.writeln(ds.read(ds.getBytesAvailable()));
	ds.close();
}
catch (e){
	Console.writeln("Caught exception reading directory contents. ");
	Console.writeln(e);
}

